Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002021TestLinkKeywordspublic2009-01-26 20:312009-02-06 06:49
Reportercori 
Assigned Toschlundus 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 3 
Fixed in Version1.8 RC 4 
Summary0002021: Keyword Management screen is not displayed with role leader
DescriptionI am logged in with role "leader". When selecting "Keyword Management" on the left side of the menu an empty screen is shown. The menu bar is still available but the output area on the screen is white.

The error dosen't occur with role "admin". All defined keywords are displayed correctly.
Additional InformationTestlink is run under Linux Suse 10.3, MySQL, PHP 5
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserError occurs with Firefox and Opera
PHP VersionPHP 5
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0002031closedschlundus Keyword view + Keyword management not displayed for role leader and senior tester (see bug 0002021 ) 

-  Notes
(0005115)
mhavlat (reporter)
2009-01-26 23:27

Could you navigate (as admin) to
users->View roles->Leader
Verify that option "Keyword management" is checked.
I verified SQL script, that this right should be checked be default. It is possible that some your colleague have changed it.
(0005121)
schlundus (reporter)
2009-01-27 03:10

Jep it's a bug
(0005122)
schlundus (reporter)
2009-01-27 03:14

The wrong right was checked

- Issue History
Date Modified Username Field Change
2009-01-26 20:31 cori New Issue
2009-01-26 20:31 cori Browser => Error occurs with Firefox and Opera
2009-01-26 20:31 cori PHP Version => PHP 5
2009-01-26 23:27 mhavlat Note Added: 0005115
2009-01-26 23:27 mhavlat Status new => feedback
2009-01-27 03:09 schlundus Status feedback => assigned
2009-01-27 03:09 schlundus Assigned To => schlundus
2009-01-27 03:10 schlundus Note Added: 0005121
2009-01-27 03:14 schlundus Status assigned => resolved
2009-01-27 03:14 schlundus Fixed in Version => next DEV - 1.8 RC 4
2009-01-27 03:14 schlundus Resolution open => fixed
2009-01-27 03:14 schlundus Note Added: 0005122
2009-01-29 16:50 mhavlat Relationship added related to 0002031
2009-02-06 06:49 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker